%     AERO LOAD - программа для нагружения агрегатов самолета распределенной нагрузкой
%     Copyright (C) 2018-2024  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function GW_Read_Icons()

global ErrCode;

global Icons_16;
global Icons_26;

Icons_16 = [];
Icons_26 = [];

% ====================== 16 ======================

N_icons = 17;

% Открытие файла
File_Path = 'icons_16.bin';

Fin = fopen(File_Path, 'r', 'ieee-le');

if (Fin < 0)
    fprintf (1, '\nОшибка функции GW_Read_Icons: не удалось открыть файл %s !\n', File_Path);
    ErrCode = -1;
    return;
end

% Выделение памяти
Icons_16 = cell(N_icons,1);

for i=1:N_icons
    Icons_16{i} = double(zeros(16,16,3));
end

% Чтение данных
for m=1:size(Icons_16,1)
    for k=1:3
        Icons_16{m}(:,:,k) = fread(Fin, [16,16], 'double', 'ieee-le');
    end
end

% Закрытие файла
fclose(Fin);

% ====================== 26 ======================

N_icons = 27;

% Открытие файла
File_Path = 'icons_26.bin';

Fin = fopen(File_Path, 'r', 'ieee-le');

if (Fin < 0)
    fprintf (1, '\nОшибка функции GW_Read_Icons: не удалось открыть файл %s !\n', File_Path);
    ErrCode = -1;
    return;
end

% Выделение памяти
Icons_26 = cell(N_icons,1);

for i=1:N_icons
    Icons_26{i} = double(zeros(26,26,3));
end

% Чтение данных
for m=1:size(Icons_26,1)
    for k=1:3
        Icons_26{m}(:,:,k) = fread(Fin, [26,26], 'double', 'ieee-le');
    end
end

% Закрытие файла
fclose(Fin);
